Subject: bug#3370: closed (Re: bug#3370: 23.0.94; `comment-region' indents comment chars inappropriately)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Feb 2012 02:49:02 +0000

Your bug report

#3370: 23.0.94; `comment-region' indents comment chars inappropriately

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3370
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3370: 23.0.94; `comment-region' indents comment chars inappropriately
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 21 Feb 2012 21:46:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

It was explained that this can be customized with comment-style.
The default isn't going to change.

Subject: 23.0.94; `comment-region' indents comment chars inappropriately
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sun, 24 May 2009 15:31:08 -0700

emacs -Q
 
In buffer *scratch*, type this: SPC SPC ` a b c d e f ' RET
 
That inserts this line, followed by a newline:
  `abcdef'

Select the line, including the newline at its end: `M-< C-SPC C-n'.
 
M-x comment-region
 
In Emacs 23, this is the result:
 
  ;; `abcdef'
 
In all previous versions of Emacs, the comment chars are inserted at
the start of the line - they are not indented two spaces:
 
;;   `abcdef'
 
This is so for Emacs 20, 21, and 22. (Though in Emacs 20 only one
semicolon is used.)
 
This breaks any code that depends on the traditional behavior.  For
instance, I have code that updates file-header lines, and now, instead
of this:
 
;; Features that might be required by this library:
;;
;;   `abcdef', `ghijk', `lmnop'.
;;
 
I get this;
 
;; Features that might be required by this library:
;;
  ;; `abcdef', `ghijk', `lmnop'.
;;
 
I need this code to work in all Emacs versions. I certainly hope you
do not consider this change to be a feature instead of a bug.

In GNU Emacs 23.0.94.1 (i386-mingw-nt5.1.2600)
 of 2009-05-24 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4)'